Update 1.14 – Mod Incompatibilities

The new update changes a lot of things, as a result a lot of mods are going to need updating.

Because of these changes the updated versions will NOT work with old versions of the game. This means once I update, you will either have to stay on the older version of the mods or update your game. As I have always said, I see no valid reason not to update the game if you have a legitimate copy, so I will not support older versions (too time consuming really.)

Also because of this, I will not be updating the mods on the page until the day 1.14 becomes officially released for all. This is partly so that anyone not on beta can still download my mods for 1.13 and enjoy them now.

Here is a list of my mods that will require updating once 1.14 is public:

 

ALL Private Custom Company Mods
Big Stobart Mod
Big Malcolm Mod
Allport Cargo Services solo/Standalone
Bartrums Trailer
Buckfast Trailers
Elite Dreams Solo/Standalone
JLR Trailer
Laysoft Trailer
Monster Trailer
Red Bull Trailer
RR Transport Trailer
Marshalls (With Cargo version)
ASDA 2 (cargo version)
B&Q trailer
Hochtied trailer
HSS Trailer
Royal Mail Advanced Version
UK Postal Services Mod
Money and XP Cheat mod

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s